You are Here:
2023 - The Year of the Linux Lite Desktop



Updates not available.

Author (Read 1754 times)

0 Members and 1 Guest are viewing this topic.

Re: Updates not available.
« Reply #4 on: August 26, 2022, 01:26:07 AM »
 

stevef

  • Global Moderator
  • I come here a lot
  • *****
  • 389
    Posts
  • Reputation: 61
  • Linux Lite Member

  • Linux Lite: 5.8 64bit

  • CPU: Intel Core i5-4460

  • MEMORY: 16Gb

  • Kernel: 5.x
Jim,

You mention it is newly installed Linux Lite and posted in the install section.  The first boot after a new install will require a significant set of updates to the base software so the first full update process will take much longer than a regular update on an established system.  If I remember correctly, my first update of a fresh version 6.0 install required around 800MB of download (which took over an hour on my connection) and then quite a time processing.

I understand packagekitd is used by the Package Update Indicator so my guess is that the Package Update Indicator is doing something.  Is packagekitd always listed as the process locking the file ?

It is of course possible that something isn't right, so keep us up to date.

Steve
 

Re: Updates not available.
« Reply #3 on: August 25, 2022, 05:22:52 PM »
 

Jim0000

  • New to Forums
  • *
  • 36
    Posts
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 6.0 64bit

  • MEMORY: 1Gb

  • VIDEO CARD: Unknown
That message is usually triggered when an update process is already active when a second update process is initiated.  In this case, something called packagekitd was already running when you tried the update.  packagekitd has locked the update resources which is preventing a manually initiated update.

If it is a background task, you just need to wait for it to finish.

Thanks for the reply Steve,
However, I did wait for an hour and tried initiating the update process again.
I experienced a circular process for a while, whereupon I was sent back to start; asking me to "install updates", which I had already started.
I will turn the computer off and try again tonight.

I will report back again after that.

Jim.
 

Re: Updates not available.
« Reply #2 on: August 25, 2022, 05:04:03 PM »
 

stevef

  • Global Moderator
  • I come here a lot
  • *****
  • 389
    Posts
  • Reputation: 61
  • Linux Lite Member

  • Linux Lite: 5.8 64bit

  • CPU: Intel Core i5-4460

  • MEMORY: 16Gb

  • Kernel: 5.x
That message is usually triggered when an update process is already active when a second update process is initiated.  In this case, something called packagekitd was already running when you tried the update.  packagekitd has locked the update resources which is preventing a manually initiated update.

If it is a background task, you just need to wait for it to finish.
 

Updates not available.
« Reply #1 on: August 25, 2022, 03:28:29 PM »
 

Jim0000

  • New to Forums
  • *
  • 36
    Posts
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 6.0 64bit

  • MEMORY: 1Gb

  • VIDEO CARD: Unknown
I tried to fetch the required updates for my newly installed Linux Lite operating system.
It resulted in this message:

===========================
Install Updates Error log
===========================
Install Updates could not fetch the package cache information lists.
Go to https://www.linuxliteos.com/forums/ and paste the log below into a new or existing thread for assistance.

============ Log ===========

Reading package lists...
E: Could not get lock /var/lib/apt/lists/lock. It is held by process 1460 (packagekitd)
E: Unable to lock directory /var/lib/apt/lists/

What should I do about this please?

Jim.
 

 

-->
X Close Ad

2023 - The Year of the Linux Lite Desktop